Skip to main content
GET
/
v2
/
access-requests
/
{id}
Get Access Request
curl --request GET \
  --url https://public.api.serval.com/v2/access-requests/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "teamId": "<string>",
    "status": "ACCESS_REQUEST_STATUS_UNSPECIFIED",
    "createdAt": "<string>",
    "targetUserId": "<string>",
    "requestedRoleId": "<string>",
    "expiresAt": "<string>",
    "linkedTicketId": "<string>",
    "timeAllocations": [
      {
        "id": "<string>",
        "status": "ACCESS_REQUEST_TIME_ALLOCATION_STATUS_UNSPECIFIED",
        "createdAt": "<string>",
        "requestedMinutes": 123,
        "approvedMinutes": 123,
        "businessJustification": "<string>",
        "requestedByUserId": "<string>",
        "invalidationReason": "ACCESS_REQUEST_TIME_ALLOCATION_INVALIDATION_REASON_UNSPECIFIED",
        "linkedTicketId": "<string>",
        "approvalRequestId": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The ID of the access request.

Response

Success

data
data · object

The access request.